GLOBAL.setmetatable(env,{__index=function(t,k) return GLOBAL.rawget(GLOBAL,k) end})
PrefabFiles = {
    "metalmachete",
    "metalpick",
    "metalshears",
    "metalshield"    
}
Assets = {
    Asset( "IMAGE", "images/inventoryimages/metalmachete.tex" ),
    Asset( "ATLAS", "images/inventoryimages/metalmachete.xml" ),
	Asset( "IMAGE", "images/inventoryimages/metalpick.tex" ),
    Asset( "ATLAS", "images/inventoryimages/metalpick.xml" ),
	Asset( "IMAGE", "images/inventoryimages/metalshears.tex" ),
    Asset( "ATLAS", "images/inventoryimages/metalshears.xml" ),
	Asset( "IMAGE", "images/inventoryimages/metalshield.tex" ),
    Asset( "ATLAS", "images/inventoryimages/metalshield.xml" ),
}
local metalmachete = Recipe("metalmachete", {Ingredient("twigs", 4),Ingredient("alloy", 3)}, RECIPETABS.TOOLS, TECH.SCIENCE_TWO)
      metalmachete.atlas = "images/inventoryimages/metalmachete.xml"
local metalpick = Recipe("metalpick", {Ingredient("twigs", 4),Ingredient("alloy", 2)}, RECIPETABS.TOOLS, TECH.SCIENCE_TWO)
      metalpick.atlas = "images/inventoryimages/metalpick.xml"
local metalshears = Recipe("metalshears", {Ingredient("twigs", 4),Ingredient("alloy", 2)}, RECIPETABS.TOOLS, TECH.SCIENCE_TWO)
      metalshears.atlas = "images/inventoryimages/metalshears.xml"
local metalshield = Recipe("metalshield", {Ingredient("cork", 4),Ingredient("alloy", 2),Ingredient("cutstone", 1)}, RECIPETABS.WAR, TECH.SCIENCE_TWO)
      metalshield.atlas = "images/inventoryimages/metalshield.xml"

Recipe("smelter", {Ingredient("cutstone", 6), Ingredient("boards", 4), Ingredient("gears", 1)}, RECIPETABS.SCIENCE, TECH.SCIENCE_TWO, RECIPE_GAME_TYPE.PORKLAND, "smetler_placer")

STRINGS.NAMES.METALMACHETE ="合金砍刀"
STRINGS.NAMES.METALPICK ="合金鹤嘴锄"
STRINGS.NAMES.METALSHEARS ="合金剪"
STRINGS.NAMES.METALSHIELD = "合金盾"

STRINGS.RECIPE_DESC.METALMACHETE ="当心氧化。"
STRINGS.RECIPE_DESC.METALPICK ="工业化的挖矿工具。"
STRINGS.RECIPE_DESC.METALSHEARS ="割艹机。"
STRINGS.RECIPE_DESC.METALSHIELD ="挺硬的，对吧。"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.METALMACHETE = "好听吗?好听就好刀。"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.METALPICK = "我可不想掀开天灵盖!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.METALSHEARS = "草-早 = 艹。"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.METALSHIELD ="我已全速前进啦！"